Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.filter
Class BiopolimerDiagramFilter

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.AbstractFilter
              biouml.standard.filter.BiopolimerDiagramFilter

All Implemented Interfaces:
  DiagramFilter

public class BiopolimerDiagramFilter
extends AbstractFilter

Common purpose diagram filter allowing to filter `Biopolimer`s by species, cell types and inducers.

Pendung:
  whether CompositeHighlighActions can contain several HighlightActions with the same color or they should be joined into one?, whether we should change EquivalentNodeGroup title (specie list) like GeneNet if we hide some object from the group?

Nested Class Summary
`static class` | `BiopolimerDiagramFilter.CellTypeFilter`
`static class` | `BiopolimerDiagramFilter.CellTypeFilterBeanInfo`
`static class` | `BiopolimerDiagramFilter.InducerFilter`
`static class` | `BiopolimerDiagramFilter.InducerFilterBeanInfo`
`static class` | `BiopolimerDiagramFilter.SpeciesFilter`
`static class` | `BiopolimerDiagramFilter.SpeciesFilterBeanInfo`

Field Summary

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`BiopolimerDiagramFilter(Diagram diagram)`

Method Summary
`protected void` | `addFilterControl(ValueActionFilter filter, java.lang.String name, java.lang.String groupWith)`
`protected void` | `collectDiagramInfo(Compartment comp)` Build list of all species in the diagram.
`BiopolimerDiagramFilter.CellTypeFilter` | `getCellTypeFilter()`
`java.lang.String[]` | `getDiagramCellTypesList()`
`java.lang.String[]` | `getDiagramInducersList()`
`java.lang.String[]` | `getDiagramSpeciesList()`
`BiopolimerDiagramFilter.InducerFilter` | `getInducerFilter()`
`protected Action` | `getNodeAction(Node node)`
`java.awt.Component` | `getOptionsControl()` returns visual control to set up the filter options.
`BiopolimerDiagramFilter.SpeciesFilter` | `getSpeciesFilter()`
`boolean` | `isEnabled()` Indicates whether a filter should be used.
`protected Action` | `mergeActions(Action action1, Action action2)`
`protected static java.lang.String` | `normaliseSpecies(java.lang.String species)`
`protected void` | `processGroup(EquivalentNodeGroup group)`
`protected void` | `processNode(Node node)` Should high or highlight node depending on filter settings.
`protected void` | `restoreView(DiagramElement de)`
`void` | `setCellTypeFilter(BiopolimerDiagramFilter.CellTypeFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.
`void` | `setInducerFilter(BiopolimerDiagramFilter.InducerFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.
`void` | `setSpeciesFilter(BiopolimerDiagramFilter.SpeciesFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.

Methods inherited from class biouml.model.AbstractFilter
`apply, restoreView, setEnabled`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiopolimerDiagramFilter

    public BiopolimerDiagramFilter(Diagram diagram)

Method Detail

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `DiagramFilter`
  Indicates whether a filter should be used.

  Specified by:
    `isEnabled` in interface `DiagramFilter`
  Overrides:
    `isEnabled` in class `AbstractFilter`

### getOptionsControl

    public java.awt.Component getOptionsControl()

  returns visual control to set up the filter options.

### addFilterControl

    protected void addFilterControl(ValueActionFilter filter,
                                    java.lang.String name,
                                    java.lang.String groupWith)

### processNode

    protected void processNode(Node node)

  Description copied from class: `AbstractFilter`
  Should high or highlight node depending on filter settings.

  Specified by:
    `processNode` in class `AbstractFilter`

### getNodeAction

    protected Action getNodeAction(Node node)

### processGroup

    protected void processGroup(EquivalentNodeGroup group)

### mergeActions

    protected Action mergeActions(Action action1,
                                  Action action2)

### restoreView

    protected void restoreView(DiagramElement de)

  Overrides:
    `restoreView` in class `AbstractFilter`

### collectDiagramInfo

    protected void collectDiagramInfo(Compartment comp)

  Build list of all species in the diagram.

  Pendung:
    situation if species field is composite and contains list of species

### getDiagramSpeciesList

    public java.lang.String[] getDiagramSpeciesList()

### getDiagramCellTypesList

    public java.lang.String[] getDiagramCellTypesList()

### getDiagramInducersList

    public java.lang.String[] getDiagramInducersList()

### normaliseSpecies

    protected static java.lang.String normaliseSpecies(java.lang.String species)

### getSpeciesFilter

    public BiopolimerDiagramFilter.SpeciesFilter getSpeciesFilter()

### setSpeciesFilter

    public void setSpeciesFilter(BiopolimerDiagramFilter.SpeciesFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

### getCellTypeFilter

    public BiopolimerDiagramFilter.CellTypeFilter getCellTypeFilter()

### setCellTypeFilter

    public void setCellTypeFilter(BiopolimerDiagramFilter.CellTypeFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

### getInducerFilter

    public BiopolimerDiagramFilter.InducerFilter getInducerFilter()

### setInducerFilter

    public void setInducerFilter(BiopolimerDiagramFilter.InducerFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.